GuideLab Docs

Pair Itero Account

Pair an iTero account with this scanner connection and store the paired tokens. Marks the connection as connected upon success.

POST
/scanner-connections/{id}/pair-account

Pair an iTero account with this scanner connection and store the paired tokens. Marks the connection as connected upon success.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/scanner-connections/550e8400-e29b-41d4-a716-446655440000/pair-account" \  -H "Content-Type: application/json" \  -d '{    "accountId": 1  }'
{  "success": true,  "accountId": 0,  "accountName": "string"}
Empty
Empty
Empty